org.eclipse.oomph.setup.workbench

## Interface WorkbenchFactory

- All Superinterfaces:
    EFactory, EModelElement, EObject, Notifier
  All Known Implementing Classes:
    WorkbenchFactoryImpl

      public interface WorkbenchFactory
      extends EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `WorkbenchPackage`
  Generated

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static WorkbenchFactory` | `eINSTANCE` The singleton instance of the factory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommandParameter` | `createCommandParameter()` Returns a new object of class 'Command Parameter'.
    `FileAssociationsTask` | `createFileAssociationsTask()` Returns a new object of class 'File Associations Task'.
    `FileEditor` | `createFileEditor()` Returns a new object of class 'File Editor'.
    `FileMapping` | `createFileMapping()` Returns a new object of class 'File Mapping'.
    `KeyBindingContext` | `createKeyBindingContext()` Returns a new object of class 'Key Binding Context'.
    `KeyBindingTask` | `createKeyBindingTask()` Returns a new object of class 'Key Binding Task'.
    `WorkbenchPackage` | `getWorkbenchPackage()` Returns the package supported by this factory.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final WorkbenchFactory eINSTANCE

      The singleton instance of the factory.
      Generated

  - ### Method Detail

    - #### createFileAssociationsTask

          FileAssociationsTask createFileAssociationsTask()

      Returns a new object of class 'File Associations Task'.
      Returns:
        a new object of class 'File Associations Task'.
      Generated

    - #### createFileMapping

          FileMapping createFileMapping()

      Returns a new object of class 'File Mapping'.
      Returns:
        a new object of class 'File Mapping'.
      Generated

    - #### createFileEditor

          FileEditor createFileEditor()

      Returns a new object of class 'File Editor'.
      Returns:
        a new object of class 'File Editor'.
      Generated

    - #### createKeyBindingTask

          KeyBindingTask createKeyBindingTask()

      Returns a new object of class 'Key Binding Task'.
      Returns:
        a new object of class 'Key Binding Task'.
      Generated

    - #### createKeyBindingContext

          KeyBindingContext createKeyBindingContext()

      Returns a new object of class 'Key Binding Context'.
      Returns:
        a new object of class 'Key Binding Context'.
      Generated

    - #### createCommandParameter

          CommandParameter createCommandParameter()

      Returns a new object of class 'Command Parameter'.
      Returns:
        a new object of class 'Command Parameter'.
      Generated

    - #### getWorkbenchPackage

          WorkbenchPackage getWorkbenchPackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html